<?php
/**
 * This file is part of OXID eShop Community Edition.
 *
 * OXID eShop Community Edition is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OXID eShop Community Edition is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OXID eShop Community Edition.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @link      http://www.oxid-esales.com
 * @copyright (C) OXID eSales AG 2003-2014
 * @version   OXID eShop CE
 */

// Do NOT edit this file, create test_config.local.php instead and overwrite these configs.

// eShop base url (if null, tries to get it from config.inc.php file)
$sShopUrl = null; //'http://eshop_url/';
// eShop directory
$sShopPath = realpath( '../source/' ).'/';
// eShop edition
$sShopEdition = 'CE';

// eShop encoding
$blUtf8 = false;
// Run tests with varnish on
$blVarnish = false;
// Whether to run subshop tests
$blIsSubShop = false;

// If set to true, copies testData to eShop and resets the database.
$blInstallShop = false;
// Whether to skip addition of default demo data (used when testing modules)
$blSkipShopSetup = false;
// Whether to skip restoring of shop data after running tests. If this is set to true, shop will be left
// at a state, at which test was completed (either failed or passed).
$blSkipShopRestore = false;

// If specified, runs tests for this module
$sModule = false;

// Selenium server IP address
$sSeleniumServerIp = "127.0.0.1";
// Folder where to save selenium screen shots. If not specified, screenshots will not be taken.
$sSeleniumScreenShotsPath = null; //$sShopPath . '/selenium_screenshots/';
// Url, where selenium screen shots should be available.
$sSeleniumScreenShotsUrl = null; //$sShopUrl . '/selenium_screenshots/';

// Browser name which will be used for testing.
// Possible values: *iexplore, *iehta, *firefox, *chrome, *piiexplore, *pifirefox, *safari, *opera
// make sure that path to browser executable is known for the system
$sBrowserName = 'firefox';

